Subject: Re: [PATCH} ARP auto-sizing for 2.4.24 - 2.4.26-pre3

From: Andi Kleen <[email-masked]>
Date: Mon, 15 Mar 2004 23:00:11 +0100

> Isn't there a problem when an outside attacker brute-force pings every 
> IP address in some order?  The intent here is to overload the router 
> to do a lot of ARP/ND requests which result to nothing.

Note that the max number of active neighbours per interface is limited. There
is a natural limit on how many entries the hash tables can have.
The user can increase this with sysctls, but the defaults should be 
safe.

-Andi